#!/usr/bin/env bash

args=('--force' '--no-hostonly-cmdline')

while read -r line; do
	if [[ "$line" == 'usr/lib/modules/'+([^/])'/pkgbase' ]]; then
		read -r pkgbase < "/${line}"
		kver="${line#'usr/lib/modules/'}"
		kver="${kver%'/pkgbase'}"

		install -Dm0644 "/${line%'/pkgbase'}/vmlinuz" "/boot/vmlinuz-${kver}"
		dracut "${args[@]}" "/boot/initramfs-${kver}.img" --kver "$kver"
		dracut "${args[@]}" --no-hostonly "/boot/initramfs-${kver}-fallback.img" --kver "$kver"
	fi
done
